# ftp_pwd

(PHP 4, PHP 5, PHP 7)

ftp_pwd — Returns the current directory name

### Description

ftp_pwd ( resource `$ftp_stream` ) : string

### Parameters

`ftp_stream`

  The link identifier of the FTP connection.

### Return Values

Returns the current directory name or `FALSE` on error.

### Examples

Example #1 ftp_pwd() example

`<?php
// set up basic connection
$conn_id = ftp_connect($ftp_server);
// login with username and password
$login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass);
// change directory to public_html
ftp_chdir($conn_id, 'public_html');
// print current directory
echo ftp_pwd($conn_id); // /public_html
// close the connection
ftp_close($conn_id);
?>`

### See Also

- ftp_chdir() - Changes the current directory on a FTP server
- ftp_cdup() - Changes to the parent directory